main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('rekomendasi/', views.rekomendasi, name='rekomendasi'),
    path('tambah_matkul/', views.tambah_matkul, name='tambah_matkul'),
    path('daftar_matkul/', views.daftar_matkul, name='daftar_matkul'),
    path('hapus_matkul/<int:pk>/', views.hapus_matkul, name='hapus_matkul'),
    path('detail_matkul/<int:pk>/', views.detail_matkul, name='detail_matkul'),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('kegiatan/', views.kegiatan, name='kegiatan'),
    path('tambah_kegiatan/', views.tambah_kegiatan, name='tambah_kegiatan'),
    path('register/<int:pk>/', views.register, name='register'),


]

storyppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story1/', include('story1.urls')),
    path('story6/', include('story6.urls')),
    path('', include('accordion.urls')),
    path('', include('search_book.urls')),
    path('', include('login.urls')),
   
]

story6/models.py
from django.db import models

# Create your models here.
class Orang (models.Model):
    nama = models.CharField(max_length=15, null = True)  

    def __str__(self):
        return self.nama

class Kegiatan (models.Model):
    title = models.CharField(max_length=27, null = True)
    orang = models.ManyToManyField(Orang)

    def __str__(self):
        return self.title

story6/forms.py
from django import forms
from .models import Kegiatan, Orang

class FormKegiatan(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = ['title']

class FormOrang(forms.ModelForm):
    class Meta:
        model = Orang
        fields = ['nama']

story6/views.py
from django.shortcuts import render
from .forms import FormKegiatan, FormOrang
from .models import Kegiatan, Orang
from django.http import HttpResponseRedirect
from django.contrib.auth.decorators import login_required

context = {}
@login_required(login_url='/login/')
def kegiatan(request):
    kegiatan = Kegiatan.objects.all()
    orang = Orang.objects.all()
    context = {'kegiatan': kegiatan, 'orang':orang}

    return render(request, 'story6/kegiatan.html', context)

@login_required(login_url='/login/')
def tambah_kegiatan(request):
    form = FormKegiatan(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
        return HttpResponseRedirect('/story6/kegiatan')


    context = {'form': form}
    
    return render(request, 'story6/tambahKegiatan.html', context)
  

def register(request, pk):
    daftar = Kegiatan.objects.get(id=pk)
    form = FormOrang(request.POST or None)
    
    if (form.is_valid() and request.method == 'POST'):
        OrangForm = FormOrang(request.POST)
       
        
        daftar.orang.create(nama=form.data['nama'])
     
        return HttpResponseRedirect('/story6/kegiatan')


    context = {'form': form}
    
    return render(request, 'story6/register.html', context)
   
    

story6/templates/story6/kegiatan.html
{% extends 'base.html' %}
{% load static %}

<title>Kegiatan</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="{% static 'css/style.css' %}">



{% block content %}


<section class="container-fluid d-flex flex-wrap align-content-center mt-5" style="margin-bottom: 150px; margin-top: 100px;">
	<div class="section-title mx-auto text-center mt-5" style="margin-bottom: 150px; margin-top: 100px;"> 
			Daftar Kegiatan
	  <a href="{% url 'story6:tambah_kegiatan' %}" class="text-white">
		<button class="btn btn-warning d-flex mx-auto my-2 click" style="margin-top: 150px">
			Tambah Kegiatan
		</button>
	  </a>
	</div>

	<div class="row w-100 justify-content-center">
		{% for i in kegiatan%}
			<div class="col-sm-4 m-4 p-4 rounded border">

				<ul class="list-group">
				  <li class="list-group-item list-group-item-dark" style="text-align: center;"> <b> {{i.title}} </b> </li>				    			      
				</ul>
        {%for k in i.orang.all%}
        <li style="color: white; margin-left: 40px;">{{k.nama}}</li>
        
        {% endfor %}
				<div class="section-title mx-auto text-center"> 
				  <a href="{% url 'story6:register' pk=i.id%}" class="text-white">
					<button class="btn btn-warning d-flex mx-auto my-2 click">
					  	Register
					</button>
				  </a>
        </div>
        
      </div>
      {% endfor %}
</section>
{% endblock content %}

story6/templates/story6/register.html
{% extends 'base.html' %}
{% load static %}

<title>Register</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="{% static 'css/style.css' %}">



{% block content %}

	 <div class="section-title mx-auto text-center p-5" style="margin-top: 70px;">Register</div> 


<table id="form-tbl">
  <form action="" method="POST">
  
      {% csrf_token %}
      {{form.as_table}}
        
  <tr>
    <td><input id="submit-btn" type="submit" value="Tambah" class="btn btn-warning" href="{% url 'story6:kegiatan'%}"></td>
    
  </tr>

</table>

 
{% endblock content %}

story6/templates/story6/tambahKegiatan.html
{% extends 'base.html' %}
{% load static %}

<title>Tambah Kegiatan</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="{% static 'css/style.css' %}">



{% block content %}

	 <div class="section-title mx-auto text-center p-5" style="margin-top: 70px;"> 
    Tambah Kegiatan
    
	</div> 


<table id="form-tbl">
  <form action="" method="POST">
  
      {% csrf_token %}
      {{form.as_table}}
        
  <tr>
    <td><input id="submit-btn" type="submit" value="Tambah" class="btn btn-warning" href="{% url 'story6:kegiatan'%}"></td>
    
  </tr>

</table>
</form>
 
{% endblock content %}